/**************************************************************************\
*                                                                          *
*                                                                          *
*    *****                      *****                                      *
*      *****                  *****                                        *
*        *****              *****                                          *
*          *****          *****                                            *
*            *****      *****                                              *
*              *****  *****                                                *
*            *****      *****                                              *
*          *****          *****          The Firmware. The Net.            *
*        *****              *****        Portable. Compatible.             *
*      *****                  *****      Public Domain.                    *
*    *****                      *****    By NORD><LINK.                    *
*                                                                          *
*                                                                          *
*                                                                          *
*    L2EXT.H   -   Externals fuer Level 2                                  *
*                  (globale Variable und nicht-int-Funktionen)             *
*                                                                          *
*    angelegt:      DC4OX                                                  *
*    modifiziert:                                                          *
*                                                                          *
\**************************************************************************/





/*                                                           Funktionen   */
/**************************************************************************/



extern char       *minmem();                      /* L1...                */
extern char       *maxmem();



extern BOOLEAN     itolnk();                      /* L2...                */
extern BOOLEAN     digipt();
extern BOOLEAN     tol3sw();
extern BOOLEAN     srxdNR();
extern BOOLEAN     isnxti();
extern BOOLEAN     splcpy();
extern unsigned    setNR();

#ifdef FIRMWARE
extern MBHEAD     *cpyfb();
#endif

extern BOOLEAN     takfhd();
extern BOOLEAN     getfid();
extern MBHEAD     *makfhd();
extern BOOLEAN     istome();
extern BOOLEAN     cmpcal();
extern BOOLEAN     cmpidl();
extern BOOLEAN     cmpid();
extern BOOLEAN     l1put();
extern unsigned    l1get();
extern LEHEAD     *allocb();
extern LEHEAD     *unlink();
extern LEHEAD     *relink();


 
extern BOOLEAN     fmlink();                      /* L3... / TF...        */



extern unsigned    nbrprt();                      /* L7... / TF...        */
extern BOOLEAN     isrout();
extern BOOLEAN     iswarm();





/*                                                             Variable   */
/**************************************************************************/



extern char        myid[];                        /* L2...                */
extern char        alias[];

#ifndef FIRMWARE
extern char        istraf[];
#endif

extern char        nmblks;
extern char        Ypar;
extern char        Vpar;
extern char        rxfhdr[];
extern char        rxfctl;
extern char        rxfPF;
extern char        rxfV2;
extern char        rxfCR;
extern char        rxfprt;
extern char        txfhdr[];
extern char        txfctl;
extern char        txfPF;
extern char        txfV2;
extern char        txfCR;
extern char        txfprt;
extern unsigned    Fpar;
extern unsigned    Opar;
extern unsigned    Npar;
extern unsigned    T2par;
extern unsigned    T3par;
extern unsigned    Rpar;
extern unsigned    nmbfre;
extern LHEAD       freel;
extern LHEAD       rxfl;
extern LHEAD       stfl;
extern LHEAD       trfl;
extern LHEAD       txl2fl[];
extern MBHEAD     *rxfhd[];
extern MBHEAD     *txfhd[];
extern LNKBLK      lnktbl[];
extern LNKBLK     *lnkpoi;



extern LHEAD       l3rxfl;                        /* L3... / TF...        */
extern unsigned    ininat;
extern unsigned    conctl;



extern unsigned    VCpar;                         /* L7... / TF...        */

#ifdef FIRMWARE
extern LHEAD       monfl;
#endif


/* Ende von L2EXT.H */
                                                     